Description

After experimenting with bars I have found one important problem. Item highlight dose not lose highlight when mouse leave bar area.

P.S. 1

Only last element (youngest child) in bar hierarchy should lose item focus.

History

#1 - 01/11/2015 01:56 PM - Zbigniew Rebacz

What is strange here is that bar is losing highlight for items that creates another bars (characteristic items with arrow on the right-side).

#2 - 01/17/2015 01:46 PM - Zbigniew Rebacz

- Status changed from New to Patch ready

- Assignee set to Miroslav Fidler

- % Done changed from 0 to 90

I have found simply solution for this issue (you will probably find better and more elegant :) ):

Code (CtrlLib/MenuItem.cpp):

void MenuItem::MouseLeave()

{

        // Added if + Refresh

    if(HasFocus() && GetParent())

        GetParent()->SetFocus();

    Refresh();

    ClearHelpLine();

}

#3 - 01/17/2015 01:47 PM - Zbigniew Rebacz

- Priority changed from Normal to High

#4 - 01/17/2015 02:33 PM - Zbigniew Rebacz

I would like to notice that this soultion can lead to unnecessary refresh when changing menu items. This should be only activate when mouse leave window

(bar) area. But, I can be wrong (I don't know the bar family implementation).
#5 - 01/17/2015 11:56 PM - Zbigniew Rebacz

Refresh is not needed:

void MenuItem::MouseLeave()

{

    // Added if + Refresh

    if(HasFocus() && GetParent())

        GetParent()->SetFocus();

    ClearHelpLine();

}

#6 - 01/18/2015 05:33 PM - Miroslav Fidler

- Status changed from Patch ready to Approved

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

Thanks, this is more inline with standard behaviour....
